/***************************************************************************
                          phonectrlcontainer.cpp  -  description
                             -------------------
    begin                : Wed Jan 17 2001
    copyright            : (C) 2001 by Matthias Welwarsky
    email                : matze@stud.fbi.fh-darmstadt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qlayout.h>
#include <qwidgetstack.h>

#include "phonecontrol.h"
#include "phonectrlcontainer.h"

PhoneCtrlContainer::PhoneCtrlContainer(QWidget *parent, const char *name ) : QWidget(parent,name) {
	phoneControl = NULL;
	layout = new QVBoxLayout(this);
	widgetStack = new QWidgetStack(this);
	layout->add(widgetStack);
}

PhoneCtrlContainer::~PhoneCtrlContainer(){
}

/** sets the current control module widget and displays it.
 *  the previously activated module is replaced.
 */
void PhoneCtrlContainer::setControl(int controlID) {
	widgetStack->raiseWidget(controlID);
}

/** adds a new phone control to the container */
void PhoneCtrlContainer::addControl(PhoneControl* pC, int Id){
	widgetStack->addWidget(pC, Id);
}
/** returns a pointer to the active control */
PhoneControl* PhoneCtrlContainer::activeControl(){
	return static_cast<PhoneControl*>(widgetStack->visibleWidget());
}
