/***************************************************************************
                          phoneterminal.h  -  description
                             -------------------
    begin                : Fri Jan 19 2001
    copyright            : (C) 2001 by Matthias Welwarsky
    email                : matze@stud.fbi.fh-darmstadt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef PHONETERMINAL_H
#define PHONETERMINAL_H

#include <qwidget.h>

#include "phoneterminaldlg.h"

class MessageDispatcher;

/**a lowlevel terminal widget, just for the fun.
  *@author Matthias Welwarsky
  */

class PhoneTerminal : public PhoneTerminalDlg  {
   Q_OBJECT
public: 
	PhoneTerminal(QWidget *parent=0, const char *name=0);
	virtual ~PhoneTerminal();
  	/** reimplemented from PhoneControl */
  	virtual void deliverMessage(QString);
  	/** reimplemented from PhoneControl */
  	virtual void stopControl();
  	/** reimplemented from PhoneControl */
  	virtual void startControl();

private: // Private attributes
  	/** holds a pointer to the message dispatcher */
  	MessageDispatcher* messageDispatcher;

public slots: // Public slots
  	/** called by the transmitEdit when the enter key is pressed */
  	virtual void commandReady();
  	/** sends an escape character to the phone */
  	void sendEscape();
};

#endif
